Bug 140273 - auto.net broken if LANG is not C
auto.net broken if LANG is not C
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-21 18:14 EST by Steve Dum
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-07 01:42:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
auto.net from 4.1.4_beta2 (1.30 KB, text/plain)
2005-04-05 15:41 EDT, Jeffrey Moyer
no flags Details

  None (edit)
Description Steve Dum 2004-11-21 18:14:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040913

Description of problem:
The script /etc/auto.net does not return proper sort order - resulting 
in improper mount order if default system LANG setting is not C.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Setup a machine (lets say its named first) that exports 4 filesystems,
 / /dos/c /dos/preserve /usr1.  go to another system (running fc3)
with the line
/net /etc/auto.net
uncommented in /etc/auto.master
then do a ls /net/first
At least with the default setting of LANG to en_US.UTF-8 the sort 
that is done in /etc/auto.net presents the filesystems to be mounted
as /dos/c /dos/recover / /usr1 which results in the mount of / not
occuring.  (You can see this by just running "/etc/auto.net first"
If one forces LANG to C in the script before the sort
24,25d23
< LANG=C
< export LANG
then the mounts occur in the right order and all 4 file systems are
visable.

Actual Results:  remote / mount point not visible

Expected Results:  / mount should be visible.

Additional info:
Comment 1 Jeffrey Moyer 2005-04-05 15:41:32 EDT
Created attachment 112727 [details]
auto.net from 4.1.4_beta2

Can you try the attached auto.net?  This is the version appearing in 4.1.4beta
and in the latest CVS.

Thanks
Comment 2 Steve Dum 2005-04-07 01:42:23 EDT
yes this script solves this problem

Note You need to log in before you can comment on or make changes to this bug.